Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | List of all members
CSEditableContactPhoneField Class Reference

Represents a field in an CSEditableContact which stores a phone number, inheriting the metadata description of the field from the original contact field. More...

`#import <CSEditableContactPhoneField.h>`

Inherits CSContactPhoneField.

## Instance Methods
(void) | - setPhoneNumber:
| Sets or updates the phone number string. More...
(void) | - setLabel1:
| Sets or updates the phone number Label1. More...
(void) | - setLabel2:
| Sets or updates the phone number Label2. More...
(void) | - setCategory:
| Sets or updates the phone number category. More...
(void) | - setPhoneNumberType:
| Sets or updates the phone number type (e.g. More...
(void) | - setSpeedDialEnabled:
| Sets or updates the speed dial flag. More...
(void) | - setDefaultPhoneNumber:
| Changes the default status of this phone number. More...

## Additional Inherited Members
Properties inherited from CSContactPhoneField
NSString * | phoneNumber
| Phone number. More...
NSString * | label1
| The phone number Label1. More...
NSString * | label2
| The phone number Label2. More...
NSString * | category
| The phone number category. More...
CSContactPhoneNumberType | type
| The phone number type, i.e work. More...
BOOL | speedDialEnabled
| The phone number speed dial flag. More...
BOOL | defaultPhoneNumber
| A Boolean value indicating whether this field respresents the default phone number. More...
BOOL | isEmpty
| Is this the default phone number for the contact? More...
Properties inherited from CSContactField
CSCapability * | writeCapability
| Write capability for particular field. More...
CSProviderSourceType | source
| Provider source type for particular field. More...

## Detailed Description

Represents a field in an CSEditableContact which stores a phone number, inheriting the metadata description of the field from the original contact field.

The editable version of a contact field is obtained from the CSEditableContact class.

## Method Documentation

- (void) setCategory: |  | (NSString *) | category |

Sets or updates the phone number category.

Parameters

  category | A NSString containing the new phone number category.

- (void) setDefaultPhoneNumber: |  | (BOOL) | defaultPhoneNumber |

Changes the default status of this phone number.

This field is not affected by writeCapability capability.

Parameters

  defaultPhoneNumber | Set to true to make this phone number the default.

- (void) setLabel1: |  | (NSString *) | label1 |

Sets or updates the phone number Label1.

Parameters

  label1 | A NSString containing the new phone number Label1.

- (void) setLabel2: |  | (NSString *) | label2 |

Sets or updates the phone number Label2.

Parameters

  label2 | A NSString containing the new phone number Label2.

- (void) setPhoneNumber: |  | (NSString *) | phoneNumber |

Sets or updates the phone number string.

Parameters

  phoneNumber | A NSString containing the new phone number.

- (void) setPhoneNumberType: |  | (CSContactPhoneNumberType) | phoneNumberType |

Sets or updates the phone number type (e.g.

WORK, HOME, etc).

Parameters

  phoneNumberType | The new phone number type.

- (void) setSpeedDialEnabled: |  | (BOOL) | speedDialEnabled |

Sets or updates the speed dial flag.

Parameters

  speedDialEnabled | flag value to be set.

The documentation for this class was generated from the following file:

- CSEditableContactPhoneField.h